Package abi-compliance-checker

Source package: abi-compliance-checker
Version: 2.3-alt1
Build time:  Nov 4, 2019, 01:58 PM
 in the task #240182
Category: Development/Other
Report package bug
License:  GPLv2+
Summary:  ABI compliance checker
Description: 
ABI-compliance-checker is a lightweight tool for checking backward binary
compatibility of shared C/C++ libraries in OS Linux. It checks interface
signatures and data type definitions in two library versions (headers and
shared objects) and searches differences that may lead to incompatibility
according to ABI standards. Breakage of the compatibility may result in
crashing or incorrect behavior of applications built with an old version of
a library when it is running with a new one. ABI-compliance-checker was
intended for library developers that are interested in ensuring backward
binary compatibility. Also ABI-compliance-checker may be used for checking
forward binary compatibility and compliance checking of the same library
versions on different linux distributions.
List of rpms provided by this srpm: 
abi-compliance-checker (noarch)
Last changes:
Nov. 4, 2019 George V. Kouryachy 2.3-alt1
- Autobuild version bump to 2.3
Feb. 20, 2018 George V. Kouryachy 2.2-alt1
- Autobuild version bump to 2.2
Aug. 25, 2017 George V. Kouryachy 2.1-alt1
- Autobuild version bump to 2.1

Back to Top